Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060902 - Python 3.3 cartridge upgrades which recreate venvs will fail to make the new venv relocatable
Summary: Python 3.3 cartridge upgrades which recreate venvs will fail to make the new ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Image
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Dan Mace
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-03 21:14 UTC by Dan Mace
Modified: 2015-05-15 00:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-26 19:11:01 UTC


Attachments (Terms of Use)

Description Dan Mace 2014-02-03 21:14:30 UTC
Description of problem:

Upgrading a python-3.3 cartridge which needs a new venv recreated will result in an error that causes the new venv to not be made relocatable.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Dan Mace 2014-02-03 21:38:19 UTC
The bug manifests during build/deploy with the following error:

{gear_home}/python//usr/versions/3.3/lib/create-virtenv: line 45: make_virtualenv_relocatable: command not found

Comment 3 openshift-github-bot 2014-02-04 02:00:42 UTC
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/481fd68e3ebfd7035dca4c321bd98cda2d157656
Bug 1060902: Fix relative venv function during install_setup_tools

Comment 4 Peter Ruan 2014-02-04 20:24:21 UTC
verified with STG devenv-stage_673,


1. create python-3.3 app
2. touch .openshift/markers/force_clean_build in your app repo
3. git push
4. no errors reported.

Comment 5 chunchen 2014-02-07 06:34:44 UTC
It's fixed, verified on devenv_4341, please refer to the following results:

1. Create python-3.3 app
rhc app create cpy33 python-3.3
2. touch .openshift/markers/force_clean_build in this app repo
3. Git push
$ git add . && git commit -amp && git push
[master ca00c63] p
 0 files changed
 create mode 100644 2
Counting objects: 3, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (2/2), done.
Writing objects: 100% (2/2), 211 bytes, done.
Total 2 (delta 1), reused 0 (delta 0)
remote: Stopping PYTHON cart
remote: Waiting for stop to finish
remote: Force clean build enabled - cleaning dependencies
remote: Building git ref 'master', commit ca00c63
remote: Force-clean builds are enabled
remote: Recreating virtenv
remote: Downloading http://pypi.python.org/packages/source/d/distribute/distribute-0.6.49.tar.gz
remote: Extracting in /tmp/tmpeewfer
remote: Now working in /tmp/tmpeewfer/distribute-0.6.49
remote: Installing Distribute
remote: creating build
remote: creating build/src
remote: creating build/src/_markerlib
remote: creating build/src/docs
remote: creating build/src/docs/_templates
remote: creating build/src/docs/_theme
remote: creating build/src/docs/_theme/nature
remote: creating build/src/docs/_theme/nature/static
remote: creating build/src/docs/build
remote: creating build/src/docs/build/html
remote: creating build/src/docs/build/html/_sources
remote: creating build/src/docs/build/html/_static
remote: creating build/src/setuptools
remote: creating build/src/setuptools/command
remote: creating build/src/setuptools/tests
remote: creating build/src/setuptools/tests/indexes
remote: creating build/src/setuptools/tests/indexes/test_links_priority
remote: creating build/src/setuptools/tests/indexes/test_links_priority/simple
remote: creating build/src/setuptools/tests/indexes/test_links_priority/simple/foobar
remote: creating build/src/tests
remote: creating build/src/tests/shlib_test
remote: copying setuptools/package_index.py -> build/src/setuptools
remote: copying setuptools/extension.py -> build/src/setuptools
remote: copying setuptools/script template (dev).py -> build/src/setuptools
remote: copying setuptools/script template.py -> build/src/setuptools
remote: copying setuptools/archive_util.py -> build/src/setuptools
remote: copying setuptools/__init__.py -> build/src/setuptools
remote: copying setuptools/site-patch.py -> build/src/setuptools
remote: copying setuptools/dist.py -> build/src/setuptools
remote: copying setuptools/depends.py -> build/src/setuptools
remote: copying setuptools/py24compat.py -> build/src/setuptools
remote: copying setuptools/sandbox.py -> build/src/setuptools
remote: copying setuptools/command/easy_install.py -> build/src/setuptools/command
remote: copying setuptools/command/upload.py -> build/src/setuptools/command
remote: copying setuptools/command/register.py -> build/src/setuptools/command
remote: copying setuptools/command/saveopts.py -> build/src/setuptools/command
remote: copying setuptools/command/bdist_egg.py -> build/src/setuptools/command
remote: copying setuptools/command/sdist.py -> build/src/setuptools/command
remote: copying setuptools/command/setopt.py -> build/src/setuptools/command
remote: copying setuptools/command/upload_docs.py -> build/src/setuptools/command
remote: copying setuptools/command/develop.py -> build/src/setuptools/command
remote: copying setuptools/command/install_scripts.py -> build/src/setuptools/command
remote: copying setuptools/command/rotate.py -> build/src/setuptools/command
remote: copying setuptools/command/build_py.py -> build/src/setuptools/command
remote: copying setuptools/command/test.py -> build/src/setuptools/command
remote: copying setuptools/command/alias.py -> build/src/setuptools/command
remote: copying setuptools/command/__init__.py -> build/src/setuptools/command
remote: copying setuptools/command/bdist_wininst.py -> build/src/setuptools/command
remote: copying setuptools/command/build_ext.py -> build/src/setuptools/command
remote: copying setuptools/command/egg_info.py -> build/src/setuptools/command
remote: copying setuptools/command/install.py -> build/src/setuptools/command
remote: copying setuptools/command/install_egg_info.py -> build/src/setuptools/command
remote: copying setuptools/command/bdist_rpm.py -> build/src/setuptools/command
remote: copying setuptools/command/install_lib.py -> build/src/setuptools/command
remote: copying setuptools/tests/test_upload_docs.py -> build/src/setuptools/tests
remote: copying setuptools/tests/test_packageindex.py -> build/src/setuptools/tests
remote: copying setuptools/tests/doctest.py -> build/src/setuptools/tests
remote: copying setuptools/tests/test_develop.py -> build/src/setuptools/tests
remote: copying setuptools/tests/test_dist_info.py -> build/src/setuptools/tests
remote: copying setuptools/tests/test_test.py -> build/src/setuptools/tests
remote: copying setuptools/tests/test_sdist.py -> build/src/setuptools/tests
remote: copying setuptools/tests/server.py -> build/src/setuptools/tests
remote: copying setuptools/tests/test_build_ext.py -> build/src/setuptools/tests
remote: copying setuptools/tests/test_sandbox.py -> build/src/setuptools/tests
remote: copying setuptools/tests/__init__.py -> build/src/setuptools/tests
remote: copying setuptools/tests/test_easy_install.py -> build/src/setuptools/tests
remote: copying setuptools/tests/test_bdist_egg.py -> build/src/setuptools/tests
remote: copying setuptools/tests/test_markerlib.py -> build/src/setuptools/tests
remote: copying setuptools/tests/py26compat.py -> build/src/setuptools/tests
remote: copying setuptools/tests/test_resources.py -> build/src/setuptools/tests
remote: copying setuptools/tests/win_script_wrapper.txt -> build/src/setuptools/tests
remote: copying setuptools/gui-arm-32.exe -> build/src/setuptools
remote: copying setuptools/cli-arm-32.exe -> build/src/setuptools
remote: copying setuptools/cli-64.exe -> build/src/setuptools
remote: copying setuptools/gui-64.exe -> build/src/setuptools
remote: copying setuptools/gui-32.exe -> build/src/setuptools
remote: copying setuptools/cli.exe -> build/src/setuptools
remote: copying setuptools/cli-32.exe -> build/src/setuptools
remote: copying setuptools/gui.exe -> build/src/setuptools
remote: copying setuptools/command/launcher manifest.xml -> build/src/setuptools/command
remote: copying tests/test_pkg_resources.py -> build/src/tests
remote: copying tests/install_test.py -> build/src/tests
remote: copying tests/test_distribute_setup.py -> build/src/tests
remote: copying tests/manual_test.py -> build/src/tests
remote: copying tests/shlib_test/test_hello.py -> build/src/tests/shlib_test
remote: copying tests/shlib_test/setup.py -> build/src/tests/shlib_test
remote: copying tests/shlib_test/hello.c -> build/src/tests/shlib_test
remote: copying tests/shlib_test/hellolib.c -> build/src/tests/shlib_test
remote: copying tests/shlib_test/hello.pyx -> build/src/tests/shlib_test
remote: copying tests/api_tests.txt -> build/src/tests
remote: RefactoringTool: Skipping implicit fixer: buffer
remote: RefactoringTool: Skipping implicit fixer: idioms
remote: RefactoringTool: Skipping implicit fixer: set_literal
remote: RefactoringTool: Skipping implicit fixer: ws_comma
remote: RefactoringTool: Refactored build/src/tests/api_tests.txt
remote: RefactoringTool: Files that were modified:
remote: RefactoringTool: build/src/tests/api_tests.txt
remote: --- build/src/tests/api_tests.txt	(original)
remote: +++ build/src/tests/api_tests.txt	(refactored)
remote: @@ -39,7 +39,7 @@
remote:      >>> dist.py_version == sys.version[:3]
remote:      True
remote:  
remote: -    >>> print dist.platform
remote: +    >>> print(dist.platform)
remote:      None
remote:  
remote:  Including various computed attributes::
remote: @@ -199,7 +199,7 @@
remote:  You can ask a WorkingSet to ``find()`` a distribution matching a requirement::
remote:  
remote:      >>> from pkg_resources import Requirement
remote: -    >>> print ws.find(Requirement.parse("Foo==1.0"))    # no match, return None
remote: +    >>> print(ws.find(Requirement.parse("Foo==1.0")))    # no match, return None
remote:      None
remote:  
remote:      >>> ws.find(Requirement.parse("Bar==0.9"))  # match, return distribution
remote: @@ -211,7 +211,7 @@
remote:      >>> try:
remote:      ...     ws.find(Requirement.parse("Bar==1.0"))
remote:      ... except VersionConflict:
remote: -    ...     print 'ok'
remote: +    ...     print('ok')
remote:      ok
remote:  
remote:  You can subscribe a callback function to receive notifications whenever a new
remote: @@ -219,7 +219,7 @@
remote:  once for each existing distribution in the working set, and then is called
remote:  again for new distributions added thereafter::
remote:  
remote: -    >>> def added(dist): print "Added", dist
remote: +    >>> def added(dist): print("Added", dist)
remote:      >>> ws.subscribe(added)
remote:      Added Bar 0.9
remote:      >>> foo12 = Distribution(project_name="Foo", version="1.2", location="f12") 
remote: copying setuptools/tests/indexes/test_links_priority/external.html -> build/src/setuptools/tests/indexes/test_links_priority
remote: copying setuptools/tests/indexes/test_links_priority/simple/foobar/index.html -> build/src/setuptools/tests/indexes/test_links_priority/simple/foobar
remote: copying docs/conf.py -> build/src/docs
remote: copying docs/roadmap.txt -> build/src/docs
remote: copying docs/easy_install.txt -> build/src/docs
remote: copying docs/pkg_resources.txt -> build/src/docs
remote: copying docs/using.txt -> build/src/docs
remote: copying docs/python3.txt -> build/src/docs
remote: copying docs/setuptools.txt -> build/src/docs
remote: copying docs/index.txt -> build/src/docs
remote: copying docs/build/html/_sources/roadmap.txt -> build/src/docs/build/html/_sources
remote: copying docs/build/html/_sources/easy_install.txt -> build/src/docs/build/html/_sources
remote: copying docs/build/html/_sources/pkg_resources.txt -> build/src/docs/build/html/_sources
remote: copying docs/build/html/_sources/using.txt -> build/src/docs/build/html/_sources
remote: copying docs/build/html/_sources/python3.txt -> build/src/docs/build/html/_sources
remote: copying docs/build/html/_sources/setuptools.txt -> build/src/docs/build/html/_sources
remote: copying docs/build/html/_sources/index.txt -> build/src/docs/build/html/_sources
remote: copying docs/_theme/nature/theme.conf -> build/src/docs/_theme/nature
remote: copying docs/_theme/nature/static/pygments.css -> build/src/docs/_theme/nature/static
remote: copying docs/build/html/_static/basic.css -> build/src/docs/build/html/_static
remote: copying docs/build/html/_static/pygments.css -> build/src/docs/build/html/_static
remote: copying docs/build/html/_static/nature.css -> build/src/docs/build/html/_static
remote: copying docs/_theme/nature/static/nature.css_t -> build/src/docs/_theme/nature/static
remote: copying docs/Makefile -> build/src/docs
remote: copying docs/_templates/indexsidebar.html -> build/src/docs/_templates
remote: copying _markerlib/markers.py -> build/src/_markerlib
remote: copying _markerlib/__init__.py -> build/src/_markerlib
remote: copying easy_install.py -> build/src
remote: copying setup.py -> build/src
remote: copying pkg_resources.py -> build/src
remote: copying release.py -> build/src
remote: copying distribute_setup.py -> build/src
remote: copying DEVGUIDE.txt -> build/src
remote: copying README.txt -> build/src
remote: copying CONTRIBUTORS.txt -> build/src
remote: copying CHANGES.txt -> build/src
remote: copying CHANGES (links).txt -> build/src
remote: copying MANIFEST.in -> build/src
remote: copying launcher.c -> build/src
remote: Skipping implicit fixer: buffer
remote: Skipping implicit fixer: idioms
remote: Skipping implicit fixer: set_literal
remote: Skipping implicit fixer: ws_comma
remote: Before install bootstrap.
remote: Scanning installed packages
remote: Setuptools installation detected at /opt/rh/python33/root/usr/lib/python3.3/site-packages
remote: Non-egg installation
remote: Moving elements out of the way...
remote: Already patched.
remote: /opt/rh/python33/root/usr/lib/python3.3/site-packages/setuptools-0.6c11-py3.3.egg-info already patched.
remote: running install
remote: running bdist_egg
remote: running egg_info
remote: writing distribute.egg-info/PKG-INFO
remote: writing entry points to distribute.egg-info/entry_points.txt
remote: writing top-level names to distribute.egg-info/top_level.txt
remote: writing dependency_links to distribute.egg-info/dependency_links.txt
remote: reading manifest file 'distribute.egg-info/SOURCES.txt'
remote: reading manifest template 'MANIFEST.in'
remote: writing manifest file 'distribute.egg-info/SOURCES.txt'
remote: installing library code to build/bdist.linux-x86_64/egg
remote: running install_lib
remote: running build_py
remote: creating build/lib
remote: copying build/src/pkg_resources.py -> build/lib
remote: copying build/src/easy_install.py -> build/lib
remote: creating build/lib/_markerlib
remote: copying build/src/_markerlib/markers.py -> build/lib/_markerlib
remote: copying build/src/_markerlib/__init__.py -> build/lib/_markerlib
remote: creating build/lib/setuptools
remote: copying build/src/setuptools/package_index.py -> build/lib/setuptools
remote: copying build/src/setuptools/extension.py -> build/lib/setuptools
remote: copying build/src/setuptools/script template (dev).py -> build/lib/setuptools
remote: copying build/src/setuptools/script template.py -> build/lib/setuptools
remote: copying build/src/setuptools/archive_util.py -> build/lib/setuptools
remote: copying build/src/setuptools/__init__.py -> build/lib/setuptools
remote: copying build/src/setuptools/site-patch.py -> build/lib/setuptools
remote: copying build/src/setuptools/dist.py -> build/lib/setuptools
remote: copying build/src/setuptools/depends.py -> build/lib/setuptools
remote: copying build/src/setuptools/py24compat.py -> build/lib/setuptools
remote: copying build/src/setuptools/sandbox.py -> build/lib/setuptools
remote: creating build/lib/setuptools/tests
remote: copying build/src/setuptools/tests/test_upload_docs.py -> build/lib/setuptools/tests
remote: copying build/src/setuptools/tests/test_packageindex.py -> build/lib/setuptools/tests
remote: copying build/src/setuptools/tests/doctest.py -> build/lib/setuptools/tests
remote: copying build/src/setuptools/tests/test_develop.py -> build/lib/setuptools/tests
remote: copying build/src/setuptools/tests/test_dist_info.py -> build/lib/setuptools/tests
remote: copying build/src/setuptools/tests/test_test.py -> build/lib/setuptools/tests
remote: copying build/src/setuptools/tests/test_sdist.py -> build/lib/setuptools/tests
remote: copying build/src/setuptools/tests/server.py -> build/lib/setuptools/tests
remote: copying build/src/setuptools/tests/test_build_ext.py -> build/lib/setuptools/tests
remote: copying build/src/setuptools/tests/test_sandbox.py -> build/lib/setuptools/tests
remote: copying build/src/setuptools/tests/__init__.py -> build/lib/setuptools/tests
remote: copying build/src/setuptools/tests/test_easy_install.py -> build/lib/setuptools/tests
remote: copying build/src/setuptools/tests/test_bdist_egg.py -> build/lib/setuptools/tests
remote: copying build/src/setuptools/tests/test_markerlib.py -> build/lib/setuptools/tests
remote: copying build/src/setuptools/tests/py26compat.py -> build/lib/setuptools/tests
remote: copying build/src/setuptools/tests/test_resources.py -> build/lib/setuptools/tests
remote: creating build/lib/setuptools/command
remote: copying build/src/setuptools/command/easy_install.py -> build/lib/setuptools/command
remote: copying build/src/setuptools/command/upload.py -> build/lib/setuptools/command
remote: copying build/src/setuptools/command/register.py -> build/lib/setuptools/command
remote: copying build/src/setuptools/command/saveopts.py -> build/lib/setuptools/command
remote: copying build/src/setuptools/command/bdist_egg.py -> build/lib/setuptools/command
remote: copying build/src/setuptools/command/sdist.py -> build/lib/setuptools/command
remote: copying build/src/setuptools/command/setopt.py -> build/lib/setuptools/command
remote: copying build/src/setuptools/command/upload_docs.py -> build/lib/setuptools/command
remote: copying build/src/setuptools/command/develop.py -> build/lib/setuptools/command
remote: copying build/src/setuptools/command/install_scripts.py -> build/lib/setuptools/command
remote: copying build/src/setuptools/command/rotate.py -> build/lib/setuptools/command
remote: copying build/src/setuptools/command/build_py.py -> build/lib/setuptools/command
remote: copying build/src/setuptools/command/test.py -> build/lib/setuptools/command
remote: copying build/src/setuptools/command/alias.py -> build/lib/setuptools/command
remote: copying build/src/setuptools/command/__init__.py -> build/lib/setuptools/command
remote: copying build/src/setuptools/command/bdist_wininst.py -> build/lib/setuptools/command
remote: copying build/src/setuptools/command/build_ext.py -> build/lib/setuptools/command
remote: copying build/src/setuptools/command/egg_info.py -> build/lib/setuptools/command
remote: copying build/src/setuptools/command/install.py -> build/lib/setuptools/command
remote: copying build/src/setuptools/command/install_egg_info.py -> build/lib/setuptools/command
remote: copying build/src/setuptools/command/bdist_rpm.py -> build/lib/setuptools/command
remote: copying build/src/setuptools/command/install_lib.py -> build/lib/setuptools/command
remote: copying build/src/setuptools/gui-arm-32.exe -> build/lib/setuptools
remote: copying build/src/setuptools/cli-arm-32.exe -> build/lib/setuptools
remote: copying build/src/setuptools/cli-64.exe -> build/lib/setuptools
remote: copying build/src/setuptools/gui-64.exe -> build/lib/setuptools
remote: copying build/src/setuptools/gui-32.exe -> build/lib/setuptools
remote: copying build/src/setuptools/cli.exe -> build/lib/setuptools
remote: copying build/src/setuptools/cli-32.exe -> build/lib/setuptools
remote: copying build/src/setuptools/gui.exe -> build/lib/setuptools
remote: copying build/src/setuptools/command/launcher manifest.xml -> build/lib/setuptools/command
remote: creating build/bdist.linux-x86_64
remote: creating build/bdist.linux-x86_64/egg
remote: copying build/lib/easy_install.py -> build/bdist.linux-x86_64/egg
remote: creating build/bdist.linux-x86_64/egg/_markerlib
remote: copying build/lib/_markerlib/markers.py -> build/bdist.linux-x86_64/egg/_markerlib
remote: copying build/lib/_markerlib/__init__.py -> build/bdist.linux-x86_64/egg/_markerlib
remote: copying build/lib/pkg_resources.py -> build/bdist.linux-x86_64/egg
remote: creating build/bdist.linux-x86_64/egg/setuptools
remote: creating build/bdist.linux-x86_64/egg/setuptools/tests
remote: copying build/lib/setuptools/tests/test_upload_docs.py -> build/bdist.linux-x86_64/egg/setuptools/tests
remote: copying build/lib/setuptools/tests/test_packageindex.py -> build/bdist.linux-x86_64/egg/setuptools/tests
remote: copying build/lib/setuptools/tests/doctest.py -> build/bdist.linux-x86_64/egg/setuptools/tests
remote: copying build/lib/setuptools/tests/test_develop.py -> build/bdist.linux-x86_64/egg/setuptools/tests
remote: copying build/lib/setuptools/tests/test_dist_info.py -> build/bdist.linux-x86_64/egg/setuptools/tests
remote: copying build/lib/setuptools/tests/test_test.py -> build/bdist.linux-x86_64/egg/setuptools/tests
remote: copying build/lib/setuptools/tests/test_sdist.py -> build/bdist.linux-x86_64/egg/setuptools/tests
remote: copying build/lib/setuptools/tests/server.py -> build/bdist.linux-x86_64/egg/setuptools/tests
remote: copying build/lib/setuptools/tests/test_build_ext.py -> build/bdist.linux-x86_64/egg/setuptools/tests
remote: copying build/lib/setuptools/tests/test_sandbox.py -> build/bdist.linux-x86_64/egg/setuptools/tests
remote: copying build/lib/setuptools/tests/__init__.py -> build/bdist.linux-x86_64/egg/setuptools/tests
remote: copying build/lib/setuptools/tests/test_easy_install.py -> build/bdist.linux-x86_64/egg/setuptools/tests
remote: copying build/lib/setuptools/tests/test_bdist_egg.py -> build/bdist.linux-x86_64/egg/setuptools/tests
remote: copying build/lib/setuptools/tests/test_markerlib.py -> build/bdist.linux-x86_64/egg/setuptools/tests
remote: copying build/lib/setuptools/tests/py26compat.py -> build/bdist.linux-x86_64/egg/setuptools/tests
remote: copying build/lib/setuptools/tests/test_resources.py -> build/bdist.linux-x86_64/egg/setuptools/tests
remote: copying build/lib/setuptools/gui-arm-32.exe -> build/bdist.linux-x86_64/egg/setuptools
remote: copying build/lib/setuptools/cli-arm-32.exe -> build/bdist.linux-x86_64/egg/setuptools
remote: copying build/lib/setuptools/cli-64.exe -> build/bdist.linux-x86_64/egg/setuptools
remote: copying build/lib/setuptools/gui-64.exe -> build/bdist.linux-x86_64/egg/setuptools
remote: copying build/lib/setuptools/package_index.py -> build/bdist.linux-x86_64/egg/setuptools
remote: copying build/lib/setuptools/extension.py -> build/bdist.linux-x86_64/egg/setuptools
remote: copying build/lib/setuptools/gui-32.exe -> build/bdist.linux-x86_64/egg/setuptools
remote: copying build/lib/setuptools/script template (dev).py -> build/bdist.linux-x86_64/egg/setuptools
remote: copying build/lib/setuptools/script template.py -> build/bdist.linux-x86_64/egg/setuptools
remote: copying build/lib/setuptools/archive_util.py -> build/bdist.linux-x86_64/egg/setuptools
remote: copying build/lib/setuptools/cli.exe -> build/bdist.linux-x86_64/egg/setuptools
remote: creating build/bdist.linux-x86_64/egg/setuptools/command
remote: copying build/lib/setuptools/command/easy_install.py -> build/bdist.linux-x86_64/egg/setuptools/command
remote: copying build/lib/setuptools/command/upload.py -> build/bdist.linux-x86_64/egg/setuptools/command
remote: copying build/lib/setuptools/command/register.py -> build/bdist.linux-x86_64/egg/setuptools/command
remote: copying build/lib/setuptools/command/saveopts.py -> build/bdist.linux-x86_64/egg/setuptools/command
remote: copying build/lib/setuptools/command/bdist_egg.py -> build/bdist.linux-x86_64/egg/setuptools/command
remote: copying build/lib/setuptools/command/sdist.py -> build/bdist.linux-x86_64/egg/setuptools/command
remote: copying build/lib/setuptools/command/setopt.py -> build/bdist.linux-x86_64/egg/setuptools/command
remote: copying build/lib/setuptools/command/upload_docs.py -> build/bdist.linux-x86_64/egg/setuptools/command
remote: copying build/lib/setuptools/command/develop.py -> build/bdist.linux-x86_64/egg/setuptools/command
remote: copying build/lib/setuptools/command/launcher manifest.xml -> build/bdist.linux-x86_64/egg/setuptools/command
remote: copying build/lib/setuptools/command/install_scripts.py -> build/bdist.linux-x86_64/egg/setuptools/command
remote: copying build/lib/setuptools/command/rotate.py -> build/bdist.linux-x86_64/egg/setuptools/command
remote: copying build/lib/setuptools/command/build_py.py -> build/bdist.linux-x86_64/egg/setuptools/command
remote: copying build/lib/setuptools/command/test.py -> build/bdist.linux-x86_64/egg/setuptools/command
remote: copying build/lib/setuptools/command/alias.py -> build/bdist.linux-x86_64/egg/setuptools/command
remote: copying build/lib/setuptools/command/__init__.py -> build/bdist.linux-x86_64/egg/setuptools/command
remote: copying build/lib/setuptools/command/bdist_wininst.py -> build/bdist.linux-x86_64/egg/setuptools/command
remote: copying build/lib/setuptools/command/build_ext.py -> build/bdist.linux-x86_64/egg/setuptools/command
remote: copying build/lib/setuptools/command/egg_info.py -> build/bdist.linux-x86_64/egg/setuptools/command
remote: copying build/lib/setuptools/command/install.py -> build/bdist.linux-x86_64/egg/setuptools/command
remote: copying build/lib/setuptools/command/install_egg_info.py -> build/bdist.linux-x86_64/egg/setuptools/command
remote: copying build/lib/setuptools/command/bdist_rpm.py -> build/bdist.linux-x86_64/egg/setuptools/command
remote: copying build/lib/setuptools/command/install_lib.py -> build/bdist.linux-x86_64/egg/setuptools/command
remote: copying build/lib/setuptools/__init__.py -> build/bdist.linux-x86_64/egg/setuptools
remote: copying build/lib/setuptools/site-patch.py -> build/bdist.linux-x86_64/egg/setuptools
remote: copying build/lib/setuptools/dist.py -> build/bdist.linux-x86_64/egg/setuptools
remote: copying build/lib/setuptools/depends.py -> build/bdist.linux-x86_64/egg/setuptools
remote: copying build/lib/setuptools/cli-32.exe -> build/bdist.linux-x86_64/egg/setuptools
remote: copying build/lib/setuptools/py24compat.py -> build/bdist.linux-x86_64/egg/setuptools
remote: copying build/lib/setuptools/sandbox.py -> build/bdist.linux-x86_64/egg/setuptools
remote: copying build/lib/setuptools/gui.exe -> build/bdist.linux-x86_64/egg/setuptools
remote: byte-compiling build/bdist.linux-x86_64/egg/easy_install.py to easy_install.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/_markerlib/markers.py to markers.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/_markerlib/__init__.py to __init__.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/pkg_resources.py to pkg_resources.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/tests/test_upload_docs.py to test_upload_docs.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/tests/test_packageindex.py to test_packageindex.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/tests/doctest.py to doctest.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/tests/test_develop.py to test_develop.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/tests/test_dist_info.py to test_dist_info.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/tests/test_test.py to test_test.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/tests/test_sdist.py to test_sdist.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/tests/server.py to server.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/tests/test_build_ext.py to test_build_ext.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/tests/test_sandbox.py to test_sandbox.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/tests/__init__.py to __init__.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/tests/test_easy_install.py to test_easy_install.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/tests/test_bdist_egg.py to test_bdist_egg.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/tests/test_markerlib.py to test_markerlib.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/tests/py26compat.py to py26compat.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/tests/test_resources.py to test_resources.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/package_index.py to package_index.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/extension.py to extension.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/script template (dev).py to script template (dev).cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/script template.py to script template.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/archive_util.py to archive_util.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/command/easy_install.py to easy_install.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/command/upload.py to upload.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/command/register.py to register.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/command/saveopts.py to saveopts.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/command/bdist_egg.py to bdist_egg.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/command/sdist.py to sdist.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/command/setopt.py to setopt.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/command/upload_docs.py to upload_docs.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/command/develop.py to develop.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/command/install_scripts.py to install_scripts.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/command/rotate.py to rotate.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/command/build_py.py to build_py.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/command/test.py to test.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/command/alias.py to alias.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/command/__init__.py to __init__.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/command/bdist_wininst.py to bdist_wininst.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/command/build_ext.py to build_ext.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/command/egg_info.py to egg_info.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/command/install.py to install.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/command/install_egg_info.py to install_egg_info.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/command/bdist_rpm.py to bdist_rpm.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/command/install_lib.py to install_lib.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/__init__.py to __init__.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/site-patch.py to site-patch.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/dist.py to dist.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/depends.py to depends.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/py24compat.py to py24compat.cpython-33.pyc
remote: byte-compiling build/bdist.linux-x86_64/egg/setuptools/sandbox.py to sandbox.cpython-33.pyc
remote: creating build/bdist.linux-x86_64/egg/EGG-INFO
remote: copying distribute.egg-info/PKG-INFO -> build/bdist.linux-x86_64/egg/EGG-INFO
remote: copying distribute.egg-info/SOURCES.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
remote: copying distribute.egg-info/dependency_links.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
remote: copying distribute.egg-info/entry_points.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
remote: copying distribute.egg-info/top_level.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
remote: copying distribute.egg-info/zip-safe -> build/bdist.linux-x86_64/egg/EGG-INFO
remote: creating dist
remote: creating 'dist/distribute-0.6.49-py3.3.egg' and adding 'build/bdist.linux-x86_64/egg' to it
remote: removing 'build/bdist.linux-x86_64/egg' (and everything under it)
remote: Processing distribute-0.6.49-py3.3.egg
remote: creating /var/lib/openshift/52f47a54cf15f5486400006f/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/distribute-0.6.49-py3.3.egg
remote: Extracting distribute-0.6.49-py3.3.egg to /var/lib/openshift/52f47a54cf15f5486400006f/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages
remote: Adding distribute 0.6.49 to easy-install.pth file
remote: Installing easy_install-3.3 script to /var/lib/openshift/52f47a54cf15f5486400006f/python/virtenv/venv/bin
remote: Installing easy_install script to /var/lib/openshift/52f47a54cf15f5486400006f/python/virtenv/venv/bin
remote: 
remote: Installed /var/lib/openshift/52f47a54cf15f5486400006f/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/distribute-0.6.49-py3.3.egg
remote: Processing dependencies for distribute==0.6.49
remote: Finished processing dependencies for distribute==0.6.49
remote: After install bootstrap.
remote: Creating /var/lib/openshift/52f47a54cf15f5486400006f/python/virtenv/venv/lib/python3.3/site-packages/setuptools-0.6c11-py3.3.egg-info
remote: Creating /var/lib/openshift/52f47a54cf15f5486400006f/python/virtenv/venv/lib/python3.3/site-packages/setuptools.pth
remote: Searching for pip
remote: Reading http://pypi.python.org/simple/pip/
remote: Best match: pip 1.5.2
remote: Downloading https://pypi.python.org/packages/source/p/pip/pip-1.5.2.tar.gz#md5=5da30919f732d68b1c666e484e7676f5
remote: Processing pip-1.5.2.tar.gz
remote: Writing /tmp/easy_install-go91fe/pip-1.5.2/setup.cfg
remote: Running pip-1.5.2/setup.py -q bdist_egg --dist-dir /tmp/easy_install-go91fe/pip-1.5.2/egg-dist-tmp-cnz543
remote: warning: no files found matching 'pip/cacert.pem'
remote: warning: no files found matching '*.html' under directory 'docs'
remote: warning: no previously-included files matching '*.rst' found under directory 'docs/_build'
remote: no previously-included directories found matching 'docs/_build/_sources'
remote: Adding pip 1.5.2 to easy-install.pth file
remote: Installing pip script to /var/lib/openshift/52f47a54cf15f5486400006f/python/virtenv/venv/bin
remote: Installing pip3.3 script to /var/lib/openshift/52f47a54cf15f5486400006f/python/virtenv/venv/bin
remote: Installing pip3 script to /var/lib/openshift/52f47a54cf15f5486400006f/python/virtenv/venv/bin
remote: 
remote: Installed /var/lib/openshift/52f47a54cf15f5486400006f/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/pip-1.5.2-py3.3.egg
remote: Processing dependencies for pip
remote: Finished processing dependencies for pip
remote: Activating virtenv
remote: running develop
remote: running egg_info
remote: creating YourAppName.egg-info
remote: writing dependency_links to YourAppName.egg-info/dependency_links.txt
remote: writing top-level names to YourAppName.egg-info/top_level.txt
remote: writing YourAppName.egg-info/PKG-INFO
remote: writing manifest file 'YourAppName.egg-info/SOURCES.txt'
remote: reading manifest file 'YourAppName.egg-info/SOURCES.txt'
remote: writing manifest file 'YourAppName.egg-info/SOURCES.txt'
remote: running build_ext
remote: Creating /var/lib/openshift/52f47a54cf15f5486400006f/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/YourAppName.egg-link (link to .)
remote: Adding YourAppName 1.0 to easy-install.pth file
remote: 
remote: Installed /var/lib/openshift/52f47a54cf15f5486400006f/app-root/runtime/repo
remote: Processing dependencies for YourAppName==1.0
remote: Finished processing dependencies for YourAppName==1.0
remote: Preparing build for deployment
remote: Deployment id is fe32b597
remote: Activating deployment
remote: Starting PYTHON cart
remote: -------------------------
remote: Git Post-Receive Result: success
remote: Activation status: success
remote: Deployment completed with status: success
To ssh://52f47a54cf15f5486400006f@cpy33-cdm.dev.rhcloud.com/~/git/cpy33.git/
   01a7ea8..ca00c63  master -> master


Note You need to log in before you can comment on or make changes to this bug.